Page({

  data: {
    objectIndex: '',//默认显示位置

    objectArray: [
      {
        id:0,
        name: '中国'
      },
      {
        id: 1,
        name: '美国'
      },
      {
        id: 2,
        name: '德国'
      },
      {
        id: 3,
        name: '法国'
      }
    ],
    index: 0,
    multiArray: [['不限','18岁', '19岁', '20岁', '21岁', '22岁'], [ '不限', '18岁', '19岁', '20岁', '21岁', '22岁']],

    multiIndex: [0, 0]

  },



  //json选择器：
  bindPickerChange: function (e) {
        console.log(e.target.dataset.name)
    console.log('picker发送选择改变，携带值为', e.detail.value)
    console.log(e)

    this.setData({
      objectIndex: e.detail.value
    })
  },

// 多列选择器
  bindMultiPickerChange: function (e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      multiIndex: e.detail.value
    })
  },





})